# std::atomic_store, std::atomic_store_explicit

From cppreference.com
< cpp‎ | atomic

Defined in header `<atomic>` |  |
| (1) | (since C++11)
template< class T > void atomic_store( std::atomic<T>* obj, T desr ); |  |
template< class T > void atomic_store( volatile std::atomic<T>* obj, T desr ); |  |
| (2) | (since C++11)
template< class T > void atomic_store_explicit( std::atomic<T>* obj, T desr, std::memory_order order); |  |
template< class T > void atomic_store_explicit( volatile std::atomic<T>* obj, T desr, std::memory_order order); |  |

1) Atomically replaces the value pointed to by `obj` with the value of `desr` as if by obj->store(desr)
2) Atomically replaces the value pointed to by `obj` with the value of `desr` as if by obj->store(desr, order)

### Parameters

obj | - | pointer to the atomic object to modify
desr | - | the value to store in the atomic object
order | - | the memory synchronization ordering for this operation: only std::memory_order_relaxed, std::memory_order_release and std::memory_order_seq_cst are permitted.

### Return value

none.

### Exceptions

`noexcept` specification:
noexcept

### See also

store | atomically replaces the value of the atomic object with a non-atomic argument (public member function of `std::atomic`)
atomic_load atomic_load_explicit (C++11)(C++11) | atomically obtains the value stored in an atomic object (function template)
memory_order (C++11) | defines memory ordering constraints for the given atomic operation (typedef)
std::atomic_store(std::shared_ptr) std::atomic_store_explicit(std::shared_ptr) | specializes atomic operations for std::shared_ptr (function template)
C documentation for atomic_store, atomic_store_explicit

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/atomic/atomic_store&oldid=91380"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template